MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002429VCMIGUI - Hero screen / Exchange windowpublic2016-03-17 21:092016-09-29 17:04
Reportermisiokles 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002429: Lots of missing creatures abilities icons in creature windows
DescriptionIn VCMI 0.98g only few creature icon are shown in creature window.
TagsNo tags attached.
Attached Filesjpg file icon ss.jpg [^] (363,375 bytes) 2016-03-17 21:09


jpg file icon no_icons.jpg [^] (270,195 bytes) 2016-03-30 15:00


jpg file icon console.jpg [^] (76,263 bytes) 2016-03-30 15:01


jpg file icon earthElemental.jpg [^] (104,120 bytes) 2016-09-29 17:04

- Relationships

-  Notes
(0006482)
misiokles (reporter)
2016-03-30 15:02

All mods are OFF and stil game searches icons in zvs/lib1.res directory. In this directory there are all icons, but game doesn't recognize them?
(0006505)
Warmonger (administrator)
2016-05-01 17:03
edited on: 2016-05-01 17:05

> only few creature icon are shown in creature window.

Are there any icons which actually work correctly?

This might be more general problem with filesystem. Were there any changes in last months?

(0006507)
misiokles (reporter)
2016-05-04 18:53

Yes, some icons display correctly (I don't remeber now which, there are only few).
(0006508)
Warmonger (administrator)
2016-05-05 12:22

It would help if you could list some.
(0006596)
SXX (administrator)
2016-08-30 05:17

I could confirm this issue exist on Linux, but keep in mind my config isn't really correct since I mess with symbolic links and mods.
(0006643)
AVS (administrator)
2016-09-11 12:36

I think, I`ve found the problem
(0006644)
AVS (administrator)
2016-09-11 13:06

Most issues fixed in https://github.com/vcmi/vcmi/commit/49e2bde3c024dd7f39ee065f48e31c99f6327673 [^]

But there are still few missing icons:

zvs/Lib1.res/MagicMirror
zvs/Lib1.res/NonLiving
(0006645)
Warmonger (administrator)
2016-09-11 13:36

These are few icons not avaliable in WoG, they were added later by Kuririn and other modders (?). Will take care of them.
(0006685)
Warmonger (administrator)
2016-09-18 09:07

I found the following custom icons:

- FireShield
- Healer
- MagicDamper
- MagicMirror
- ManaChannel
- ManaDrain
- NonLiving
- RandomBoost
- RiseDemons
- SelfLuck
- SpellLikeAttack
- ThreeHeaded

Will be included in next Windows release.
(0006770)
misiokles (reporter)
2016-09-29 17:04

Earth Elemental has also few missing icons (see picture)

- Issue History
Date Modified Username Field Change
2016-03-17 21:09 misiokles New Issue
2016-03-17 21:09 misiokles File Added: ss.jpg
2016-03-30 15:00 misiokles File Added: no_icons.jpg
2016-03-30 15:01 misiokles File Added: console.jpg
2016-03-30 15:02 misiokles Note Added: 0006482
2016-03-30 19:58 Warmonger Assigned To => Warmonger
2016-03-30 19:58 Warmonger Status new => assigned
2016-05-01 17:03 Warmonger Note Added: 0006505
2016-05-01 17:04 Warmonger Note Edited: 0006505 View Revisions
2016-05-01 17:05 Warmonger Note Edited: 0006505 View Revisions
2016-05-04 18:53 misiokles Note Added: 0006507
2016-05-05 12:22 Warmonger Note Added: 0006508
2016-08-30 05:17 SXX Note Added: 0006596
2016-09-11 12:36 AVS Assigned To Warmonger => AVS
2016-09-11 12:36 AVS Note Added: 0006643
2016-09-11 13:06 AVS Note Added: 0006644
2016-09-11 13:07 AVS Assigned To AVS => Warmonger
2016-09-11 13:36 Warmonger Note Added: 0006645
2016-09-18 09:07 Warmonger Note Added: 0006685
2016-09-18 09:07 Warmonger Status assigned => resolved
2016-09-18 09:07 Warmonger Fixed in Version => 0.99
2016-09-18 09:07 Warmonger Resolution open => fixed
2016-09-29 17:04 misiokles Note Added: 0006770
2016-09-29 17:04 misiokles File Added: earthElemental.jpg

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean